> For the complete documentation index, see [llms.txt](https://docs.gem-suite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gem-suite.com/api-reference/resources/bookings.md).

# Bookings

## List all bookings

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/bookings`

This endpoint allows you to get the list of your bookings. \
The bookings are returned sorted by pickup dates, with the most recent appearing first.

#### Headers

| Name             | Type   | Description                   |
| ---------------- | ------ | ----------------------------- |
| Authentification | string | Bearer token.                 |
| Accept           | string | Should be `application/json`. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Retrieve a booking

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/bookings/:id`

This endpoint allows you to retrieve a specific booking.

#### Path Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| id   | integer | Booking ID. |

#### Headers

| Name             | Type   | Description                   |
| ---------------- | ------ | ----------------------------- |
| Authentification | string | Bearer token.                 |
| Accept           | string | Should be `application/json`. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "id": 8,
        "code": "35",
        "inactive": 0,
        "pickup_date": "2020-08-12",
        "delivery_date": "2020-08-13",
        "client_id": 6,
        "contact": "",
        "contact_phone": "",
        "contact_fax": "",
        "distance": "6.05",
        "po_num": "1",
        "comm_num": "2",
        "bol_num": "3",
        "fact_number": "19047",
        "price": "50.00",
        "creation_date": "2020-08-06",
        "items": [
            {
                "id": 117931,
                "booking_id": 8,
                "description": "test",
                "value": "0.00",
                "length": "10000.00",
                "width": "0.00",
                "height": "0.00",
                "number": "1.00",
                "weight": "0.00",
                "total": "0.00",
                "details": ""
            }
        ]
    },
    "success": true
}
```

{% endtab %}
{% endtabs %}
